.game-window {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

/* BOARD */

.opponent-board, .user-board {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 70%;
    height: 300px;
    background-color: rgb(216, 62, 62,0.1);
}
.game-card{
  margin: auto 2px;
}
.game-card-caption{
  padding: 0px;
}

.user-cards, .opponent-cards {
  width: 80%;
  display:flex;
  flex-direction: column;
}

.user-cards .game-card{
  cursor: pointer;
}

.opponent-hand, .user-hand, .user-played-cards, .opponent-played-cards {
    background-color: rgba(255,255,255,0.1);
    display: flex;
    justify-content: center;
}

.user-informations {
  text-align: center;
  font-weight: bold;
  font-size: 20px;
}

.user-pic {
    width: 5rem;
    height: 5rem;
    border-radius: 10px;
}

.user-pic:hover {
  transition-duration: 0.5s;
  box-shadow: -5px 10px 30px black;
}

/* .game-window img{
  -webkit-user-drag: none;
} */

/* CARDS */
.game-window .user-hand .game-card:hover {
  width: 12rem;
  z-index: 0
}

@media (min-width: 1280px) {
  .game-window .opponent-hand .game-card {
    width: 7rem;
  }
}
.game-window .user-hand .game-card:selected, .game-window .opponent-hand .game-card:selected {
  width: 12rem;
  z-index: 0
}

.can-attack, .can-be-attacked, .is-selected {
  border: solid 2px;
}

.can-attack {
  border-color: rgb(13, 221, 13);
  box-shadow: 0px 0px 10px rgb(13, 221, 13);
}

.can-be-attacked {
  cursor: pointer;
  border-color:  rgb(219, 38, 38);
  box-shadow: 0px 0px 10px rgb(219, 38, 38);
}

.can-be-placed {
  cursor: pointer;
  border-color:  rgb(248, 155, 15);
  box-shadow: 0px 0px 10px rgb(248, 155, 15);
}

.is-selected {
  border-color: rgb(28, 97, 247);
  box-shadow: 0px 0px 10px rgb(28, 97, 247);
}

/* Separator */

.separator {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 1px;
}

.separator .divider {
    width: 70%;
    border-bottom: solid black 2px;
}

.separator {
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
}


.separator .timer-container {
    width: 175px;
    height: 50px;
    border: solid black 2px;
}

.final-message {
  font-weight: bold;
  font-size: 2rem;
  margin: auto;
}
/* Media Query for Mobile Devices */
/* @media (max-width: 480px) {
} */
  /* Media Query for low resolution  Tablets, Ipads */
/* @media (min-width: 481px) and (max-width: 767px) {
}

  /* Media Query for Tablets Ipads portrait mode */
@media (max-width: 1024px) {
  .user-board,.opponent-board{
    margin-right: 75px;
  }
  .data-container{
    margin:35px;
  }
  .btn{
    display: none;
  }
  .otherButton{
    margin-right: 35px;
  }
	.separator {
    font-size: 0.9rem;
    font-weight: bold;
    text-align: center;
    width: 105%;
  }
  .timer-container{
    margin: 8px 0px;
    padding: 3px;
  }

  .separator .timer-container{
    width: auto;
    height: auto;
  }
  .deckUser{
    font-size: 10px;
  }
  .userName{
    font-size: 16px;
  }

  
  .game-window .user-hand .game-card:hover{
    width: 23.3%;
  }

  .separator .otherButton{
    font-size: 10px;
  }

  .opponent-hand .game-card{
    width: 10%;
  }

  .user-pic{
    width: 50px;
    height: 50px;
  }

  .game-card-caption{
    font-size: 8px;
    padding: 0px;
  }
  .game-card{
    font-size:inherit;
    margin: auto 2px ;
  }


}
  /* Media Query for Laptops and Desktops */
@media (min-width: 1025px) and (max-width: 1280px) {
	.separator {
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
  }

}

  /* Media Query for Large screens */
/* @media (min-width: 1281px) {
	.card-container {
		justify-items: start;
	}
} */
